general
tickers
Returns the list of available ticker symbols supported by the API. This includes stocks, indexes, and futures that can be used with other endpoints.
GET/tickersPublic
Returns the list of available ticker symbols supported by the API. This includes stocks, indexes, and futures that can be used with other endpoints.
Public Endpoint
This endpoint is public and requires no Authorization header. The additional WebSocket-only tickers for Quant subscribers are listed by GET /tickers/quant, which is also public.
Request
Example: /tickers
Headers
| Name | Type | Description |
|---|---|---|
User-Agent | string | Required. Identify your client application. |
Accept | string | Required. Set to "application/json". |
Response
| Field | Type | Description |
|---|---|---|
stocks | array | Array of stock ticker symbols available for trading data. |
indexes | array | Array of index ticker symbols available for trading data. |
futures | array | Array of futures ticker symbols available for trading data. |
The lists change when gexbot adds tickers. Call the endpoint for the current set.
{
"stocks": [
"AAPL",
"AMD",
"AMZN",
"APP",
"AVGO",
"BABA",
"BOIL",
"COIN",
"CRWD",
"CRWV",
"DDOG",
"DIA",
"GLD",
"GME",
"GOOG",
"GOOGL",
"HOOD",
"HYG",
"IBIT",
"INTC",
"IONQ",
"IWM",
"META",
"MSFT",
"MSTR",
"MU",
"NFLX",
"NVDA",
"NVO",
"ORCL",
"PL",
"PLTR",
"QQQ",
"RDDT",
"ROKU",
"SHOP",
"SLV",
"SMCI",
"SNDK",
"SNOW",
"SOFI",
"SPCX",
"SPY",
"TLT",
"TQQQ",
"TSLA",
"TSM",
"UBER",
"UNG",
"UNH",
"USO",
"UVXY",
"VALE",
"ZS"
],
"indexes": [
"NDX",
"RUT",
"SPX",
"VIX"
],
"futures": [
"ES_SPX",
"NQ_NDX"
]
}{
"type": "object",
"properties": {
"stocks": {
"type": "array",
"items": {
"type": "string",
"minLength": 2,
"maxLength": 5
},
"description": "Array of stock ticker symbols."
},
"indexes": {
"type": "array",
"items": {
"type": "string",
"minLength": 3,
"maxLength": 3
},
"description": "Array of index ticker symbols."
},
"futures": {
"type": "array",
"items": {
"type": "string",
"minLength": 6,
"maxLength": 6
},
"description": "Array of futures ticker symbols."
}
}
}type: object
properties:
stocks:
type: array
items:
type: string
minLength: 2
maxLength: 5
description: Array of stock ticker symbols.
indexes:
type: array
items:
type: string
minLength: 3
maxLength: 3
description: Array of index ticker symbols.
futures:
type: array
items:
type: string
minLength: 6
maxLength: 6
description: Array of futures ticker symbols.